Package org.lwjgl.opengl

# Class EXTCgShader

java.lang.Object
org.lwjgl.opengl.EXTCgShader

public final class EXTCgShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CG_FRAGMENT_SHADER_EXT`
You can pass GL_CG_VERTEX_SHADER_EXT to glCreateShaderARB instead of GL_VERTEX_SHADER_ARB to create a vertex shader object that will parse and compile its shader source with the Cg compiler front-end rather than the GLSL front-end.
`static final int`
`GL_CG_VERTEX_SHADER_EXT`
You can pass GL_CG_VERTEX_SHADER_EXT to glCreateShaderARB instead of GL_VERTEX_SHADER_ARB to create a vertex shader object that will parse and compile its shader source with the Cg compiler front-end rather than the GLSL front-end.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_CG_VERTEX_SHADER_EXT

public static final int GL_CG_VERTEX_SHADER_EXT
You can pass GL_CG_VERTEX_SHADER_EXT to glCreateShaderARB instead of GL_VERTEX_SHADER_ARB to create a vertex shader object that will parse and compile its shader source with the Cg compiler front-end rather than the GLSL front-end. Likewise, you can pass GL_CG_FRAGMENT_SHADER_EXT to glCreateShaderARB instead of GL_FRAGMENT_SHADER_ARB to create a fragment shader object that will parse and compile its shader source with the Cg front-end rather than the GLSL front-end.

See Also:
  - Constant Field Values

### GL_CG_FRAGMENT_SHADER_EXT

public static final int GL_CG_FRAGMENT_SHADER_EXT
You can pass GL_CG_VERTEX_SHADER_EXT to glCreateShaderARB instead of GL_VERTEX_SHADER_ARB to create a vertex shader object that will parse and compile its shader source with the Cg compiler front-end rather than the GLSL front-end. Likewise, you can pass GL_CG_FRAGMENT_SHADER_EXT to glCreateShaderARB instead of GL_FRAGMENT_SHADER_ARB to create a fragment shader object that will parse and compile its shader source with the Cg front-end rather than the GLSL front-end.

See Also:
  - Constant Field Values